## org.apache.myfaces.custom.tree
Interface TreeNode

All Known Subinterfaces:
  MutableTreeNode

All Known Implementing Classes:
  DefaultMutableTreeNode

public interface TreeNode

Defines the requirements for an object that can be used as a tree node for `HtmlTree`. (inspired by javax.swing.tree.TreeNode).

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Oliver Rossmueller

Method Summary
`java.util.Iterator` `children()` Answer the children of the receiver.
`boolean` `getAllowsChildren()` Answer true if this node allows children.
`TreeNode` `getChildAt(int childIndex)` Answer the child at the given index.
`int` `getChildCount()` Answer the number of children this node contains.
`int` `getIndex(TreeNode node)` Answer the index of the given node in this node's children.
`TreeNode` `getParent()` Answer the parent of this node.
`java.lang.Object` `getUserObject()`
`boolean` `isLeaf()` Answer true if this is a leaf node.

Method Detail

### getUserObject

    public java.lang.Object getUserObject()

  Returns:
    Gets the user object of this node.

### getChildAt

    public TreeNode getChildAt(int childIndex)

  Answer the child at the given index.

### getChildCount

    public int getChildCount()

  Answer the number of children this node contains.

### getParent

    public TreeNode getParent()

  Answer the parent of this node.

### getIndex

    public int getIndex(TreeNode node)

  Answer the index of the given node in this node's children.

### getAllowsChildren

    public boolean getAllowsChildren()

  Answer true if this node allows children.

### isLeaf

    public boolean isLeaf()

  Answer true if this is a leaf node.

### children

    public java.util.Iterator children()

  Answer the children of the receiver. The base collection is unmodifyable.